{
    onDamagingHit(damage, target, source, move) {
        this.field.setWeather("sandstorm");
    },
    onImmunity(type, pokemon) {
        if (type === "sandstorm")
            return false;
    },
    flags: {},
    name: "Sand Spit",
    rating: 1,
    num: 245
}
